package speiger.src.coreengine.ui.gui.utils;

public enum Align {
	START,
	CENTER,
	END;
	
	public float align(float width) {
		return switch(this) {
			case START -> 0;
			case CENTER -> width * 0.5F;
			case END -> width;
		};
	}
}
